Loading...
Searching...
No Matches
pcl::device::ConnectedComponents Struct Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/internal.h>`

## Static Public Member Functions

static void | initEdges (int rows, int cols, DeviceArray2D< unsigned char > &edges)
static void | computeEdges (const Labels &labels, const Depth &depth, int num_parts, float sq_radius, DeviceArray2D< unsigned char > &edges)
static void | labelComponents (const DeviceArray2D< unsigned char > &edges, DeviceArray2D< int > &comps)

## Detailed Description

Definition at line 82 of file internal.h.

## Member Function Documentation

## computeEdges()

void pcl::device::ConnectedComponents::computeEdges | ( | const Labels & | labels,
|  | const Depth & | depth,
|  | int | num_parts,
|  | float | sq_radius,
|  | DeviceArray2D< unsigned char > & | edges )

static

## initEdges()

void pcl::device::ConnectedComponents::initEdges | ( | int | rows,
|  | int | cols,
|  | DeviceArray2D< unsigned char > & | edges )

static

## labelComponents()

void pcl::device::ConnectedComponents::labelComponents | ( | const DeviceArray2D< unsigned char > & | edges,
|  | DeviceArray2D< int > & | comps )

static

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/internal.h